%define api_version 1
%define lib_major   114
%define lib_name    %mklibname gsf- %{api_version} %{lib_major}
%define subrel	1

Summary: GNOME Structured File library
Name: libgsf
Version: 1.14.1
Release: %mkrel 2
Epoch: 1
Group: System/Libraries
License: GPL
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0:	libgsf-1.14.1-heap-overflow.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.gnumeric.org
BuildRequires: libbonobo2_x-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: gtk-doc
BuildRequires: perl-XML-Parser


%description
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}
Summary:  %{summary}
Group: %{group}

%description -n %{lib_name}
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}-devel
Summary: Support files necessary to compile applications with libgsf
Group: Development/C
Requires: %{lib_name} = %epoch:%{version}
Provides: %{name}-%{api_version}-devel = %epoch:%{version}-%{release}
Provides: %{name}-devel = %epoch:%{version}-%{release}
Requires: libxml2-devel
Requires: libglib2-devel

%description -n %{lib_name}-devel
Libraries, headers, and support files necessary to compile
applications using libgsf.

%prep

%setup -q
%patch0 -p1 -b .heap-overflow

%build

%configure2_5x --enable-gtk-doc

%make

%install
rm -rf $RPM_BUILD_ROOT libgsf.lang

%makeinstall

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libgsf
%find_lang libgsf

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%post
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gsf-office-thumbnailer.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
 [ -x %{_bindir}/gconftool-2 ] && GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source` %{_bindir}/gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gsf-office-thumbnailer.schemas > /dev/null
fi


%files -f libgsf.lang
%defattr(-,root,root)
%doc README
%{_sysconfdir}/gconf/schemas/gsf-office-thumbnailer.schemas
%{_bindir}/gsf-office-thumbnailer
%{_mandir}/man1/*

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libgsf*-%{api_version}.so.%{lib_major}*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/gsf
%{_libdir}/*.so
%{_libdir}/*.a
%attr(644,root,root) %{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Nov 30 2006 Stew Benedict <sbenedict@mandriva.com> 1:1.14.1-2.1mdv2007.0
- P0: security fix for heap overflow issue 
  (http://www.debian.org/security/2006/dsa-1221)

* Tue Aug 01 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.14.1-2mdv2007.0
- Rebuild with latest dbus

* Mon May 08 2006 Götz Waschk <waschk@mandriva.org> 1:1.14.1-1mdk
- New release 1.14.1

* Thu Mar  2 2006 Gtz Waschk <waschk@mandriva.org> 1.14.0-1mdk
- new major
- New release 1.14.0

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.13.3-3mdk
- Fix schema install/uninstall (copy/paste is bad sometimes ;)

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 1:1.13.3-2mdk
- Use mkrel

* Mon Nov 07 2005 Götz Waschk <waschk@mandriva.org> 1.13.3-1mdk
- New release 1.13.3

* Tue Oct 11 2005 Gtz Waschk <waschk@mandriva.org> 1.13.2-2mdk
- fix major

* Tue Oct 11 2005 Götz Waschk <waschk@mandriva.org> 1.13.2-1mdk
- New release 1.13.2

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 1.12.3-1mdk
- Release 1.12.3

* Wed Aug 17 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.12.2-2mdk
- add BuildRequires: perl-XML-Parser

* Tue Aug 16 2005 Gtz Waschk <waschk@mandriva.org> 1.12.2-1mdk
- update file list
- enable gtk-doc
- New release 1.12.2

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-1mdk 
- Switch back to 1.12.1

* Wed Jun  8 2005 Gtz Waschk <waschk@mandriva.org> 1:1.11.1-1mdk
- back to 1.11.1

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 1.12.0-1mdk
- New release 1.12.0

* Fri Jan 21 2005 Goetz Waschk <waschk@linux-mandrake.com> 1.11.1-1mdk
- New release 1.11.1

* Mon Aug 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.10.1-1mdk
- New release 1.10.1

* Mon Jul  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.10.0-1mdk
- reenable libtooliz
- New release 1.10.0

* Mon May 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.9.1-1mdk
- fix gtk-doc location
- drop patch
- New release 1.9.1

* Wed May  5 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.9.0-1mdk
- New release 1.9.0

* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.2-1mdk
- Release 1.8.2 (fix libole2 problems)

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.1-4mdk
- BuildRequires: libbonobo2_x-devel

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.8.1-3mdk
- Rebuild

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.1-2mdk
- rebuild against latest libbobono

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.1-1mdk
- Release 1.8.1

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-2mdk
- Fix bad mklibnamification..

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.0-1mdk
- Release 1.8.0
- mklibnamification

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-1mdk
- Release 1.7.2

* Wed Jan 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.0-2mdk
- Recompiled against latest openssl
- Fix BuildRequires

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.0-1mdk
- Initial Mandrake package

* Tue Jun 18 2002 Rui M. Seabra <rms@407.org>
- set permission correctly
- fix common mistake of Copyright flag into License flag.

* Thu May 23 2002 Jody Goldberg <jody@gnome.org>
- Initial version
